### OpenLiteSpeed Web Server Users' Manual

##### Version 1.6 — Rev. 2

- License
- Introduction
- Installation
- Administration
  - Service Manager
- Security
- Configuration
  - Server General
  - Server Log
  - Server Tuning
  - Server Security
  - External Apps
  - Fast CGI App
  - Fast CGI Authorizer
  - LSAPI App
  - Servlet Engine
  - Web Server
  - Piped logger
  - Load Balancer
  - Script Handler
  - App Server Settings
  - Module Configuration
  - Listener General
  - Listener SSL
  - Virtual Host Templates
  - Virtual Host Basic
  - Virtual Host General
  - Virtual Host Security
  - Virtual Host SSL
  - Rewrite
  - Context
  - Static Context
  - Java Web App Context
  - Servlet Context
  - Fast CGI Context
  - LSAPI Context
  - Proxy Context
  - CGI Context
  - Load Balancer Context
  - Redirect Context
  - App Server Context
  - Module Handler Context
  - Web Socket Proxy
- Web Console
  - Admin Console General
  - Admin Console Security
  - Admin Listener General
  - Admin Listener SSL

# Admin Console General

Admin Server is a special virtual host dedicated to the WebAdmin console. It is very important to make sure Admin Server is securely protected either by only allowing access from the administrator's machines or by using an encrypted SSL connection.

## Table of Contents

### Enable Core Dump⇑

#### Description

Specifies whether to enable core dump when the server is started by "root" user. For most modern Unix systems, processes that change user ID or group ID are not allowed to dump a core file for security reasons. However, it is much easier to identify root cause of a problem with a core dump. This option only works on Linux kernel 2.4 and up. Solaris users should use the coreadm command to control this feature.

#### Syntax

Select from radio box

#### Tips

Only enable this when you see no core file created in the server log file. Disable it immediately after producing the core file. Please submit a bug report when a core dump has been created.

### Session Timeout (secs)⇑

#### Description

Customize the session timeout length of the WebAdmin Console. The default is 60 seconds.

#### Syntax

Integer number

#### Tips

Set a proper value for production use, usually less than 300 seconds.

### Use Server's Log⇑

#### Description

Specifies whether to put log messages from this virtual host into the server log file instead of creating its own log file.

#### Syntax

Select from radio box

### File Name⇑

#### Description

Specifies the path for the log file.

#### Syntax

Filename which can be an absolute path or a relative path to $SERVER_ROOT, $VH_ROOT.

#### Tips

Place the log file on a separate disk.

### Log Level⇑

#### Description

Specifies the level of logging. Available levels (from high to low) are ERROR, WARNING, NOTICE, INFO, and DEBUG. Only messages with a level higher than or equal to the current setting will be logged. If you want to set it to DEBUG, you must set the server log level to DEBUG as well. The level of debugging is controlled solely at the server level by Debug Level.

#### Syntax

Select from drop down list

#### Tips

Unless Debug Level is set to a level other than NONE, DEBUG log level does not have any performance impact and is recommended.

#### See Also

Debug Level

### Rolling Size (bytes)⇑

#### Description

Specifies when the current log file needs to be rolled over, also known as log rotation. When the file size is over the rollover limit, the active log file will be renamed to log_name.mm_dd_yyyy(.sequence) in the same directory and a new active log file will be created. The actual size of the rotated log file once it is created will sometimes be a little bigger than this size limit. Set to 0 to disable log rotation.

#### Syntax

Integer number

#### Tips

Append "K", "M", "G" to the number for kilo-, mega- and giga- bytes.

### Log Control⇑

#### Description

Where the access log should be written. There are three options:

1. Write to the server's access log
2. Create an access log for this virtual host
3. Disable access logging

#### Syntax

Select from drop down list

### File Name⇑

#### Description

The access log filename.

#### Syntax

Filename which can be an absolute path or a relative path to $SERVER_ROOT, $VH_ROOT.

#### Tips

Put access log file on a separate disk.

### Piped Logger⇑

#### Description

Specifies the external application that will receive the access log data sent by LiteSpeed through a pipe on its STDIN stream (file handle is 0). When this field is specified, the access log will be sent only to the logger application and not the access log file specified in previous entry.
The logger application must be defined in External Apps section first. Server-level access logging can only use an external logger application defined at the server level. Virtual host-level access logging can only use a logger application defined at the virtual host level.
The logger process is spawned in the same way as other external (CGI/FastCGI/LSAPI) processes. This means it will execute as the user ID specified in the virtual host's External App Set UID Mode settings and will never run on behalf of a privileged user.
LiteSpeed web server performs simple load balancing among multiple logger applications if more than one instance of a logger application is configured. LiteSpeed server always attempts to keep the number of logger applications as low as possible. Only when one logger application fails to process access log entries in time will the server attempt to spawn another instance of the logger application.
If a logger crashes, the web server will start another instance but the log data in the stream buffer will be lost. It is possible to lose log data if external loggers cannot keep up with the speed and volume of the log stream.

#### Syntax

Select from drop down list

### Log Format⇑

#### Description

Specifies the log format for the access log. When log format is set, it will override the Log Headers setting.

#### Syntax

String. The syntax of log format is compatible with Apache 2.0's custom log format.

#### Example

Common Log Format (CLF)
"%h %l %u %t \"%r\" %>s %b"
Common Log Format with Virtual Host
"%v %h %l %u %t \"%r\" %>s %b"
NCSA extended/combined log format
"%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-agent}i\"
Log cookie value of Foobar
"%{Foobar}C"

#### See Also

Log Headers

### Log Headers⇑

#### Description

Specifies whether to log HTTP request headers: Referer, UserAgent, and Host.

#### Syntax

Select from checkbox

#### Tips

Turn this off if you do not need these headers in the access log.

#### See Also

Log Format

### Keep Days⇑

#### Description

Specifies how many days the access log file will be kept on disk. Only rotated log files older than the specified number of days will be deleted. The current log file will not be touched regardless how many days worth of data it contains. If you do not want to auto-delete stale and very old log files, set this to 0.

#### Syntax

Integer number

### Bytes Log⇑

#### Description

Specifies the path to the bandwidth bytes log file. When specified, a cPanel compatible bandwidth log will be created. This will log the total bytes transferred for a request including both the request and reply bodies.

#### Syntax

Filename which can be an absolute path or a relative path to $SERVER_ROOT.

#### Tips

Put the log file on a separate disk.

### Compress Archive⇑

#### Description

Specifies whether to compress rotated log files in order to save disk space.

#### Syntax

Select from radio box

#### Tips

Log files are highly compressible and this is recommended to reduce disk usage for old logs.